import java.util.TreeMap;

/**
 * @author Michael A. Covington
 * 
 * Frequency table of strings.
 *
 */
public class FreqTable extends TreeMap<String,Integer> {
	
	/**
	 * Necessary when extending a serializable built-in class.
	 */
	private static final long serialVersionUID = 2711228563302712610L;

	
	/**
	 * Add a string to the frequency table, incrementing its count.
	 */
	public void add(String s)
	{
		if (this.containsKey(s))
		{
			this.put(s,  this.get(s)+1);
		}
		else
		{
			this.put(s, 1);
		}
	}
	
}
